BmpRGBSampleValueTest Class Reference

`#include <BmpRGBSampleValueTest.h>`

Inheritance diagram for BmpRGBSampleValueTest:

## Public Member Functions

| BmpRGBSampleValueTest (TestSuite *s)
void | setup (void)
void | cleanup (void)
void | testDistance (void)
void | testIsNeighbour (void)
Public Member Functions inherited from SampleValueTest
| SampleValueTest (std::string n, TestSuite *s)
Public Member Functions inherited from UnitTest
| UnitTest (std::string n, TestSuite *s)
| ~UnitTest (void)
void | run (void)
Public Member Functions inherited from Test
| Test (void)
| Test (const std::string &n)
| Test (const std::string &n, TestSuite *s)
virtual | ~Test (void)
const std::string & | getName (void)
TestSuite * | getSuite (void)

## Private Attributes

CvrStgFile * | f_win
CvrStgFile * | f_os2
SampleValue * | sv_0_0_0
SampleValue * | sv_1_1_1
SampleValue * | sv_0_3_4
SampleValue * | sv_10_10_10
SampleValue * | sv_12_13_14
SampleValue * | sv_128_128_128
SampleValue * | sv_210_0_120
SampleValue * | sv_255_255_255
Globals | gl_win
Globals | gl_os2

## Additional Inherited Members

Protected Member Functions inherited from SampleValueTest
bool | genericTestDistance (SampleValue *s1, SampleValue *s2, UWORD32 dist)
bool | genericTestIsNeighbour (SampleValue *s1, SampleValue *s2, bool res)
bool | genericTestEValue (SampleValue *s, EmbValue ev)
Protected Member Functions inherited from UnitTest
void | addTestCategory (TestCategory *tc)
void | addTestResult (bool r)
char * | strip_test (char *s)

## Constructor & Destructor Documentation

## BmpRGBSampleValueTest()

BmpRGBSampleValueTest::BmpRGBSampleValueTest | ( | TestSuite * | s | ) |

## Member Function Documentation

## cleanup()

void BmpRGBSampleValueTest::cleanup | ( | void |  | ) |

virtual

cleanup the unit test - called after run

Reimplemented from UnitTest.

## setup()

void BmpRGBSampleValueTest::setup | ( | void |  | ) |

virtual

setup the unit test - called before run

UnitTest::setup will (together with UnitTest::cleanup) save and restore the object stored in Globs so they should be called from the corresponding functions in the derived object if the derived unit test manipulates the Globs object.

Reimplemented from UnitTest.

## testDistance()

void BmpRGBSampleValueTest::testDistance | ( | void |  | ) |

## testIsNeighbour()

void BmpRGBSampleValueTest::testIsNeighbour | ( | void |  | ) |

## Member Data Documentation

## f_os2

CvrStgFile * BmpRGBSampleValueTest::f_os2

private

## f_win

CvrStgFile* BmpRGBSampleValueTest::f_win

private

## gl_os2

Globals BmpRGBSampleValueTest::gl_os2

private

## gl_win

Globals BmpRGBSampleValueTest::gl_win

private

## sv_0_0_0

SampleValue* BmpRGBSampleValueTest::sv_0_0_0

private

## sv_0_3_4

SampleValue * BmpRGBSampleValueTest::sv_0_3_4

private

## sv_10_10_10

SampleValue * BmpRGBSampleValueTest::sv_10_10_10

private

## sv_128_128_128

SampleValue * BmpRGBSampleValueTest::sv_128_128_128

private

## sv_12_13_14

SampleValue * BmpRGBSampleValueTest::sv_12_13_14

private

## sv_1_1_1

SampleValue * BmpRGBSampleValueTest::sv_1_1_1

private

## sv_210_0_120

SampleValue * BmpRGBSampleValueTest::sv_210_0_120

private

## sv_255_255_255

SampleValue * BmpRGBSampleValueTest::sv_255_255_255

private

The documentation for this class was generated from the following files:

- BmpRGBSampleValueTest.h
- BmpRGBSampleValueTest.cc